// ActivaAPI.cpp : Defines the entry point for the DLL application.
//

#include "ActivaAPI.h"
#include "../astprovider/src/astcstaprovider.h"

#ifdef _MANAGED
#pragma managed(push, off)
#endif

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
    return TRUE;
}

//PROXY METHOD TO EXPORT ASTCstaProvider::Create class
ASTCstaProviderInterface* CreateASTCSTAProvider (ASTCstaListener *listener,ASTLogListener *logger){
	return ASTCstaProvider::Create(listener, logger);
}

//PROXY METHOD TO EXPORT delete ASTCstaProvider
void DeleteASTCSTAProvider (ASTCstaProviderInterface* cstaproviderinterface){
	ASTCstaProvider* cstaprovider = (ASTCstaProvider*) cstaproviderinterface;
	delete cstaprovider;
}

/// Gets address from channel specification
std::string	AsteriskCall_GetAddressFromChannel (std::string channel){
	return AsteriskCall::GetAddressFromChannel(channel);
}
/// Gets dialable number from Channel
std::string	AsteriskCall_GetDialableNumberFromChannel (std::string channel){
	return AsteriskCall::GetAddressFromChannel(channel);
}
/// true if device is void or equal to \<unknown>
bool	AsteriskCall_IsUnknown (std::string device){
	return AsteriskCall::IsUnknown(device);
}

#ifdef _MANAGED
#pragma managed(pop)
#endif

