/*
	Name: activatsp_helper.h
	Copyright: Under the Mozilla Public License Version 1.1 or later
	Author: ACTIVA
	Date: MAY/06
*/

/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is astprovider.
 *
 * The Initial Developer of the Original Code is ACTIVA.
 * Portions created by the Initial Developer are Copyright (C) 2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): none
 *
 * ***** END LICENSE BLOCK ***** */

#pragma once

#ifndef ACTIVATSPHELPER_H
#define ACTIVATSPHELPER_H

#include <string>
#include <map>
#include <vector>
#include <set>


// helper functions
std::string	wstr2string(LPCWSTR pWstr);
LPVOID AllocMem (DWORD dwSize);
void FreeMem (LPVOID lpBuff);
void CopyBuffer (LPVOID lpDest, LPCVOID lpSource, DWORD dwSize);
BOOL AddDataBlock (LPVOID lpVB, DWORD& dwOffset, DWORD& dwSize, LPCVOID lpBuffer, DWORD dwBufferSize);
BOOL AddDataBlock (LPVOID lpVB, DWORD& dwOffset, DWORD& dwSize, LPCSTR lpszBuff);

#endif	// ACTIVATSPHELPER_H