#ifdef	__ACTIVATSP_CPPUNIT_BUILD

#include "ActivaTSP_Test_Adapter.h"

void ActivaTSP_Test_Adapter::Asterisk_18_419_recives_call_from_queue_101_that_is_recived_from_1234_by_SIP_trunk(){
	
	DWORD callid = 2, callid2 = 3;
	std::string callerId="1234";
	std::string callerAddress="ast1trunksip";
	std::string callerIdName0="FromAst1";
	std::string callerIdName="FromAst1";
	std::string callerChannel="SIP/Ast1TrunkSip-00000038";
	std::string callerUniqueid="1311150683.118";
	std::string calledId="419";
	std::string subjectDevice="419";
	std::string calledChannel="Local/419@from-internal-3f06;1";
	std::string calledChannel2="Local/419@from-internal-3f06;2";
	std::string calledChannel3="SIP/419-00000039";
	std::string calledUniqueid="1311150686.119";
	std::string calledUniqueid2="1311150686.120";
	std::string calledUniqueid3="1311150686.121";
	std::string calledIdName="device";
	std::string appdata = "";
	std::string trunk="xxx";
	std::string queue="101";

	ASTProvider * pxAstP = m_pxCstaProvider->GetAstProvider();
	m_pxCstaListener->m_xEvents.clear();
	int xref = m_pxCstaProvider->OpenMonitor("419");
	AsteriskCall *call=0;

	pxAstP->TestPL("Asterisk Call Manager/1.1");

pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Newchannel\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("channelstate: 0\r\n"); pxAstP->TestPL("channelstatedesc: Down\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: FromAst1\r\n"); pxAstP->TestPL("accountcode: \r\n"); pxAstP->TestPL("exten: 101\r\n"); pxAstP->TestPL("context: default\r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Newstate\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("channelstate: 4\r\n"); pxAstP->TestPL("channelstatedesc: Ring\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: FromAst1\r\n"); pxAstP->TestPL("connectedlinenum: \r\n"); pxAstP->TestPL("connectedlinename: \r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("\r\n"); 
	
	activa_call_state callerCallState=call_state_ring;
	////*****************************
	// Test CallMap CallNumber
	CPPUNIT_ASSERT(m_pxCstaProvider->GetAsteriskNumberOfCallsInCallMap()==1);
	// Test caller CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,callerUniqueid,callid,callerAddress,callerAddress,callerId,callerIdName0,"","",callerChannel,callerCallState,appdata,"","",FALSE,ast_cause_normal); 
	////*****************************

	///!!!!THE NEXT NEWSTATE FOR 422 CHANNEL COMES LATER
	
	pxAstP->TestPL("event: Newstate\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("channelstate: 6\r\n"); pxAstP->TestPL("channelstatedesc: Up\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: FromAst1\r\n"); pxAstP->TestPL("connectedlinenum: \r\n"); pxAstP->TestPL("connectedlinename: \r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: NewCallerid\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: 101:FromAst1\r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("cid-callingpres: 0 (Presentation Allowed, Not Screened)\r\n"); pxAstP->TestPL("\r\n"); 

	callerIdName=queue+":"+callerIdName;

	pxAstP->TestPL("event: Join\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: 101:FromAst1\r\n"); pxAstP->TestPL("connectedlinenum: unknown\r\n"); pxAstP->TestPL("connectedlinename: unknown\r\n"); pxAstP->TestPL("queue: 101\r\n"); pxAstP->TestPL("position: 1\r\n"); pxAstP->TestPL("count: 1\r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("\r\n"); 

	callerCallState=call_state_not_known;
	////*****************************
	// Test CallMap CallNumber
	CPPUNIT_ASSERT(m_pxCstaProvider->GetAsteriskNumberOfCallsInCallMap()==1);
	// Test caller CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,callerUniqueid,callid,callerAddress,callerAddress,callerId,callerIdName,"","",callerChannel,callerCallState,appdata,"",queue,FALSE,ast_cause_normal); 
	////*****************************

	pxAstP->TestPL("event: MusicOnHold\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("state: Start\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("class: default\r\n"); pxAstP->TestPL("response: Success\r\n"); pxAstP->TestPL("actionid: 4\r\n"); pxAstP->TestPL("message: Interface unpaused successfully\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: QueueMemberPaused\r\n"); pxAstP->TestPL("privilege: agent,all\r\n"); pxAstP->TestPL("queue: 101\r\n"); pxAstP->TestPL("location: Local/419@from-internal/n\r\n"); pxAstP->TestPL("membername: Local/419@from-internal/n\r\n"); pxAstP->TestPL("paused: 0\r\n"); pxAstP->TestPL("\r\n"); 
	
	pxAstP->TestPL("event: Newchannel\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("channelstate: 0\r\n"); pxAstP->TestPL("channelstatedesc: Down\r\n"); pxAstP->TestPL("calleridnum: \r\n"); pxAstP->TestPL("calleridname: \r\n"); pxAstP->TestPL("accountcode: \r\n"); pxAstP->TestPL("exten: 419\r\n"); pxAstP->TestPL("context: from-internal\r\n"); pxAstP->TestPL("uniqueid: 1311150686.119\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Newchannel\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;2\r\n"); pxAstP->TestPL("channelstate: 4\r\n"); pxAstP->TestPL("channelstatedesc: Ring\r\n"); pxAstP->TestPL("calleridnum: \r\n"); pxAstP->TestPL("calleridname: \r\n"); pxAstP->TestPL("accountcode: \r\n"); pxAstP->TestPL("exten: 419\r\n"); pxAstP->TestPL("context: from-internal\r\n"); pxAstP->TestPL("uniqueid: 1311150686.120\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: NewCallerid\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("calleridnum: 101\r\n"); pxAstP->TestPL("calleridname: \r\n"); pxAstP->TestPL("uniqueid: 1311150686.119\r\n"); pxAstP->TestPL("cid-callingpres: 0 (Presentation Allowed, Not Screened)\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Newchannel\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/419-00000039\r\n"); pxAstP->TestPL("channelstate: 0\r\n"); pxAstP->TestPL("channelstatedesc: Down\r\n"); pxAstP->TestPL("calleridnum: 419\r\n"); pxAstP->TestPL("calleridname: device\r\n"); pxAstP->TestPL("accountcode: \r\n"); pxAstP->TestPL("exten: \r\n"); pxAstP->TestPL("context: from-internal\r\n"); pxAstP->TestPL("uniqueid: 1311150686.121\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Dial\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("subevent: Begin\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;2\r\n"); pxAstP->TestPL("destination: SIP/419-00000039\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: 101:FromAst1\r\n"); pxAstP->TestPL("connectedlinenum: 101\r\n"); pxAstP->TestPL("connectedlinename: <unknown>\r\n"); pxAstP->TestPL("uniqueid: 1311150686.120\r\n"); pxAstP->TestPL("destuniqueid: 1311150686.121\r\n"); pxAstP->TestPL("dialstring: 419\r\n"); pxAstP->TestPL("\r\n"); 
	
	////***************************** 
	// Test CallMap CallNumber
	CPPUNIT_ASSERT(m_pxCstaProvider->GetAsteriskNumberOfCallsInCallMap()==4);
	// Test caller CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,callerUniqueid,callid,callerAddress,callerAddress,callerId,callerIdName,"","",callerChannel,callerCallState,appdata,"",queue,FALSE,ast_cause_normal); 
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid,callid2,subjectDevice,subjectDevice,    "101" /*newcallerid*/ /*""*/   ,"","","",calledChannel,call_state_down,appdata,"","",FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid2,callid2,subjectDevice,subjectDevice,callerId,callerIdName,"","",calledChannel2,call_state_ring,appdata,calledUniqueid,"",FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid3,callid2,subjectDevice,subjectDevice,    calledId /*new channel*/ /*""*/    ,callerIdName,"","",calledChannel3,call_state_down,appdata,calledUniqueid2,"",FALSE,ast_cause_normal);
	////*****************************
	
	pxAstP->TestPL("event: Newstate\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/419-00000039\r\n"); pxAstP->TestPL("channelstate: 5\r\n"); pxAstP->TestPL("channelstatedesc: Ringing\r\n"); pxAstP->TestPL("calleridnum: 419\r\n"); pxAstP->TestPL("calleridname: device\r\n"); pxAstP->TestPL("connectedlinenum: 1234\r\n"); pxAstP->TestPL("connectedlinename: 101:FromAst1\r\n"); pxAstP->TestPL("uniqueid: 1311150686.121\r\n"); pxAstP->TestPL("\r\n"); 
	
	////*****************************
	// Test Event alerting
	ACTIVA_TEST_EVENT_ALERTING(m_pxCstaListener,callid2,subjectDevice,callerId,callerIdName,queue,appdata,ast_cause_normal);
	// Test CallMap CallNumber
	CPPUNIT_ASSERT(m_pxCstaProvider->GetAsteriskNumberOfCallsInCallMap()==4);
	// Test caller CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,callerUniqueid,callid,callerAddress,callerAddress,callerId,callerIdName,"","",callerChannel,callerCallState,appdata,"",queue,FALSE,ast_cause_normal); 
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid,callid2,subjectDevice,subjectDevice,     "101" /*newcallerid*/ /*""*/        ,"","","",calledChannel,call_state_down,appdata,"","",FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid2,callid2,subjectDevice,subjectDevice,callerId,callerIdName,"","",calledChannel2,call_state_ring,appdata,calledUniqueid,"",FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid3,callid2,subjectDevice,subjectDevice,    calledId /*new channel*/ /*calledId*/    ,calledIdName,callerId,callerIdName,calledChannel3,call_state_ringing,appdata,calledUniqueid2,"",FALSE,ast_cause_normal);
	////*****************************

	pxAstP->TestPL("event: Newstate\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("channelstate: 5\r\n"); pxAstP->TestPL("channelstatedesc: Ringing\r\n"); pxAstP->TestPL("calleridnum: 419\r\n"); pxAstP->TestPL("calleridname: device\r\n"); pxAstP->TestPL("connectedlinenum: 1234\r\n"); pxAstP->TestPL("connectedlinename: 101:FromAst1\r\n"); pxAstP->TestPL("uniqueid: 1311150686.119\r\n"); pxAstP->TestPL("response: Success\r\n"); pxAstP->TestPL("actionid: 5\r\n"); pxAstP->TestPL("message: Interface paused successfully\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: QueueMemberPaused\r\n"); pxAstP->TestPL("privilege: agent,all\r\n"); pxAstP->TestPL("queue: 101\r\n"); pxAstP->TestPL("location: Local/419@from-internal/n\r\n"); pxAstP->TestPL("membername: Local/419@from-internal/n\r\n"); pxAstP->TestPL("paused: 1\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Newstate\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/419-00000039\r\n"); pxAstP->TestPL("channelstate: 6\r\n"); pxAstP->TestPL("channelstatedesc: Up\r\n"); pxAstP->TestPL("calleridnum: 419\r\n"); pxAstP->TestPL("calleridname: device\r\n"); pxAstP->TestPL("connectedlinenum: 1234\r\n"); pxAstP->TestPL("connectedlinename: 101:FromAst1\r\n"); pxAstP->TestPL("uniqueid: 1311150686.121\r\n"); pxAstP->TestPL("\r\n"); 
	
	////*****************************
	// Test Event Established
	ACTIVA_TEST_EVENT_ESTABLISHED(m_pxCstaListener,callid2,subjectDevice,callerId,callerIdName,queue,appdata,ast_cause_normal);
	// Test CallMap CallNumber
	CPPUNIT_ASSERT(m_pxCstaProvider->GetAsteriskNumberOfCallsInCallMap()==4);
	// Test caller CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,callerUniqueid,callid,callerAddress,callerAddress,callerId,callerIdName,"","",callerChannel,callerCallState,appdata,"",queue,FALSE,ast_cause_normal); 
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid,callid2,subjectDevice,subjectDevice,     "101" /*newcallerid*/ /*""*/        ,calledIdName,callerId,callerIdName,calledChannel,call_state_ringing,appdata,"","",FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid2,callid2,subjectDevice,subjectDevice,callerId,callerIdName,"","",calledChannel2,call_state_ring,appdata,calledUniqueid,"",FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid3,callid2,subjectDevice,subjectDevice,    calledId /*new channel*/ /*calledId*/    ,calledIdName,callerId,callerIdName,calledChannel3,call_state_not_known,appdata,calledUniqueid2,"",FALSE,ast_cause_normal);
	////*****************************
	
	pxAstP->TestPL("event: Newstate\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;2\r\n"); pxAstP->TestPL("channelstate: 6\r\n"); pxAstP->TestPL("channelstatedesc: Up\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: 101:FromAst1\r\n"); pxAstP->TestPL("connectedlinenum: 419\r\n"); pxAstP->TestPL("connectedlinename: device\r\n"); pxAstP->TestPL("uniqueid: 1311150686.120\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: NewAccountCode\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/419-00000039\r\n"); pxAstP->TestPL("uniqueid: 1311150686.121\r\n"); pxAstP->TestPL("accountcode: \r\n"); pxAstP->TestPL("oldaccountcode: \r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Bridge\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("bridgestate: Link\r\n"); pxAstP->TestPL("bridgetype: core\r\n"); pxAstP->TestPL("channel1: Local/419@from-internal-3f06;2\r\n"); pxAstP->TestPL("channel2: SIP/419-00000039\r\n"); pxAstP->TestPL("uniqueid1: 1311150686.120\r\n"); pxAstP->TestPL("uniqueid2: 1311150686.121\r\n"); pxAstP->TestPL("callerid1: 1234\r\n"); pxAstP->TestPL("callerid2: 419\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Newstate\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("channelstate: 6\r\n"); pxAstP->TestPL("channelstatedesc: Up\r\n"); pxAstP->TestPL("calleridnum: 419\r\n"); pxAstP->TestPL("calleridname: device\r\n"); pxAstP->TestPL("connectedlinenum: 1234\r\n"); pxAstP->TestPL("connectedlinename: 101:FromAst1\r\n"); pxAstP->TestPL("uniqueid: 1311150686.119\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: MusicOnHold\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("state: Stop\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Leave\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("queue: 101\r\n"); pxAstP->TestPL("count: 0\r\n"); pxAstP->TestPL("position: 1\r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: NewAccountCode\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("uniqueid: 1311150686.119\r\n"); pxAstP->TestPL("accountcode: \r\n"); pxAstP->TestPL("oldaccountcode: \r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Bridge\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("bridgestate: Link\r\n"); pxAstP->TestPL("bridgetype: core\r\n"); pxAstP->TestPL("channel1: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("channel2: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("uniqueid1: 1311150683.118\r\n"); pxAstP->TestPL("uniqueid2: 1311150686.119\r\n"); pxAstP->TestPL("callerid1: 1234\r\n"); pxAstP->TestPL("callerid2: 419\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Unlink\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel1: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("channel2: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("uniqueid1: 1311150683.118\r\n"); pxAstP->TestPL("uniqueid2: 1311150686.119\r\n"); pxAstP->TestPL("callerid1: 1234\r\n"); pxAstP->TestPL("callerid2: 419\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Bridge\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("bridgestate: Link\r\n"); pxAstP->TestPL("bridgetype: core\r\n"); pxAstP->TestPL("channel1: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("channel2: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("uniqueid1: 1311150683.118\r\n"); pxAstP->TestPL("uniqueid2: 1311150686.119\r\n"); pxAstP->TestPL("callerid1: 1234\r\n"); pxAstP->TestPL("callerid2: 419\r\n"); pxAstP->TestPL("\r\n"); 
	
	callerCallState = call_state_not_known;
	////***************************** 
	// Test CallMap CallNumber
	CPPUNIT_ASSERT(m_pxCstaProvider->GetAsteriskNumberOfCallsInCallMap()==4);
	// Test caller CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,callerUniqueid,callid,callerAddress,callerAddress,callerId,callerIdName,"","",callerChannel,callerCallState,appdata,"",queue,FALSE,ast_cause_normal); 
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid,callid2,subjectDevice,subjectDevice,     "101" /*newcallerid*/ /*""*/        ,calledIdName,callerId,callerIdName,calledChannel,call_state_not_known,appdata,"CSTA"+callerUniqueid,queue,FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid2,callid2,subjectDevice,subjectDevice,callerId,callerIdName,calledId,calledIdName,calledChannel2,call_state_not_known,appdata,calledUniqueid,"",FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid3,callid2,subjectDevice,subjectDevice,    calledId /*new channel*/ /*calledId*/    ,calledIdName,callerId ,callerIdName,calledChannel3,call_state_not_known,appdata,calledUniqueid2,"",FALSE,ast_cause_normal);
	////*****************************
	
	pxAstP->TestPL("event: Unlink\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel1: Local/419@from-internal-3f06;2\r\n"); pxAstP->TestPL("channel2: SIP/419-00000039\r\n"); pxAstP->TestPL("uniqueid1: 1311150686.120\r\n"); pxAstP->TestPL("uniqueid2: 1311150686.121\r\n"); pxAstP->TestPL("callerid1: 1234\r\n"); pxAstP->TestPL("callerid2: 419\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Hangup\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/419-00000039\r\n"); pxAstP->TestPL("uniqueid: 1311150686.121\r\n"); pxAstP->TestPL("calleridnum: 419\r\n"); pxAstP->TestPL("calleridname: device\r\n"); pxAstP->TestPL("connectedlinenum: 1234\r\n"); pxAstP->TestPL("connectedlinename: 101:FromAst1\r\n"); pxAstP->TestPL("cause: 16\r\n"); pxAstP->TestPL("cause-txt: Normal Clearing\r\n"); pxAstP->TestPL("\r\n"); 
	
	////*****************************
	// Test Event ConnCleared
	ACTIVA_TEST_EVENT_CONNCLEARED(m_pxCstaListener,callid2,subjectDevice,ast_cause_normal);
	// Test CallMap CallNumber
	CPPUNIT_ASSERT(m_pxCstaProvider->GetAsteriskNumberOfCallsInCallMap()==3);
	// Test caller CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,callerUniqueid,callid,callerAddress,callerAddress,callerId,callerIdName,"","",callerChannel,callerCallState,appdata,"",queue,FALSE,ast_cause_normal); 
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid,callid2,subjectDevice,subjectDevice,     "101" /*newcallerid*/ /*""*/        ,calledIdName,callerId ,callerIdName,calledChannel,call_state_not_known,appdata,"CSTA"+callerUniqueid,queue,FALSE,ast_cause_normal);
	// Test called CallMap Call
	ACTIVA_TEST_CALLMAP_CALL18(m_pxCstaProvider,calledUniqueid2,callid2,subjectDevice,subjectDevice,callerId,callerIdName,calledId ,calledIdName,calledChannel2,call_state_not_known,appdata,calledUniqueid,"",FALSE,ast_cause_normal);
	////*****************************
	
	pxAstP->TestPL("event: Dial\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("subevent: End\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;2\r\n"); pxAstP->TestPL("uniqueid: 1311150686.120\r\n"); pxAstP->TestPL("dialstatus: ANSWER\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Hangup\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;2\r\n"); pxAstP->TestPL("uniqueid: 1311150686.120\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: 101:FromAst1\r\n"); pxAstP->TestPL("connectedlinenum: 419\r\n"); pxAstP->TestPL("connectedlinename: device\r\n"); pxAstP->TestPL("cause: 16\r\n"); pxAstP->TestPL("cause-txt: Normal Clearing\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Unlink\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel1: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("channel2: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("uniqueid1: 1311150683.118\r\n"); pxAstP->TestPL("uniqueid2: 1311150686.119\r\n"); pxAstP->TestPL("callerid1: 1234\r\n"); pxAstP->TestPL("callerid2: 419\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Hangup\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: Local/419@from-internal-3f06;1\r\n"); pxAstP->TestPL("uniqueid: 1311150686.119\r\n"); pxAstP->TestPL("calleridnum: 419\r\n"); pxAstP->TestPL("calleridname: device\r\n"); pxAstP->TestPL("connectedlinenum: 1234\r\n"); pxAstP->TestPL("connectedlinename: 101:FromAst1\r\n"); pxAstP->TestPL("cause: 16\r\n"); pxAstP->TestPL("cause-txt: Normal Clearing\r\n"); pxAstP->TestPL("\r\n"); 
	pxAstP->TestPL("event: Hangup\r\n"); pxAstP->TestPL("privilege: call,all\r\n"); pxAstP->TestPL("channel: SIP/Ast1TrunkSip-00000038\r\n"); pxAstP->TestPL("uniqueid: 1311150683.118\r\n"); pxAstP->TestPL("calleridnum: 1234\r\n"); pxAstP->TestPL("calleridname: 101:FromAst1\r\n"); pxAstP->TestPL("connectedlinenum: 419\r\n"); pxAstP->TestPL("connectedlinename: device\r\n"); pxAstP->TestPL("cause: 0\r\n"); pxAstP->TestPL("cause-txt: Unknown\r\n"); pxAstP->TestPL("\r\n");

	////*****************************
	// Test CallMap CallNumber
	CPPUNIT_ASSERT(m_pxCstaProvider->GetAsteriskNumberOfCallsInCallMap()==0);
	////*****************************

	m_pxCstaProvider->CloseMonitor(xref);
}


#endif //	__ACTIVATSP_CPPUNIT_BUILD